summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
Diffstat (limited to 'build')
-rwxr-xr-xbuild/build_nexus_blob.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build/build_nexus_blob.sh b/build/build_nexus_blob.sh
index 58f0f83f..dff2fc8d 100755
--- a/build/build_nexus_blob.sh
+++ b/build/build_nexus_blob.sh
@@ -145,7 +145,7 @@ push_pip () {
docker_login () {
for REGISTRY in $(sed -n '/\.[^/].*\//p' ${1} | sed -e 's/\/.*$//' | sort -u | grep -v ${DEFAULT_REGISTRY}) ${DOCKER_REGISTRY}; do
- if ! grep -wq ${REGISTRY} ~/.docker/config.json; then
+ if ! grep -wqs ${REGISTRY} ~/.docker/config.json; then
echo "Docker login to ${REGISTRY}"
docker login -u "${NEXUS_USERNAME}" -p "${NEXUS_PASSWORD}" ${REGISTRY} > /dev/null
fi